Loading...
Searching...
No Matches
Abbreviations.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <utility>`
`#include <vector>`
`#include <string>`
`#include <memory>`

Go to the source code of this file.

## Classes

struct | RDKit::Abbreviations::AbbreviationDefinition
struct | RDKit::Abbreviations::AbbreviationMatch

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::Abbreviations
namespace | RDKit::Abbreviations::common_properties
namespace | RDKit::Abbreviations::Utils

## Macros

#define | RD_ABBREVIATIONS_H

## Functions

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | RDKit::Abbreviations::Utils::getDefaultAbbreviations ()
| returns the default set of abbreviation definitions
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | RDKit::Abbreviations::Utils::getDefaultLinkers ()
| returns the default set of linker definitions
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | RDKit::Abbreviations::Utils::parseAbbreviations (const std::string &text, bool removeExtraDummies=false, bool allowConnectionToDummies=false)
| parses a string describing abbreviation matches and returns the result
std::vector< AbbreviationDefinition > | RDKit::Abbreviations::Utils::parseLinkers (const std::string &text)
| equivalent to calling `parseAbbreviations(text,true,true)`
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationMatch > | RDKit::Abbreviations::findApplicableAbbreviationMatches (const ROMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4)
| returns all matches for the abbreviations across the molecule
RDKIT_ABBREVIATIONS_EXPORT void | RDKit::Abbreviations::applyMatches (RWMol &mol, const std::vector< AbbreviationMatch > &matches)
RDKIT_ABBREVIATIONS_EXPORT void | RDKit::Abbreviations::labelMatches (RWMol &mol, const std::vector< AbbreviationMatch > &matches)
| creates "SUP" SubstanceGroups on the molecule describing the abbreviation
RDKIT_ABBREVIATIONS_EXPORT void | RDKit::Abbreviations::condenseMolAbbreviations (RWMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4, bool sanitize=true)
RDKIT_ABBREVIATIONS_EXPORT void | RDKit::Abbreviations::labelMolAbbreviations (RWMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4)
RDKIT_ABBREVIATIONS_EXPORT void | RDKit::Abbreviations::condenseAbbreviationSubstanceGroups (RWMol &mol)

## Variables

RDKIT_ABBREVIATIONS_EXPORT const std::string | RDKit::Abbreviations::common_properties::numDummies
RDKIT_ABBREVIATIONS_EXPORT const std::string | RDKit::Abbreviations::common_properties::origAtomMapping
RDKIT_ABBREVIATIONS_EXPORT const std::string | RDKit::Abbreviations::common_properties::origBondMapping

## Macro Definition Documentation

## RD_ABBREVIATIONS_H

#define RD_ABBREVIATIONS_H

Definition at line 12 of file Abbreviations.h.